summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rwxr-xr-xtools/patchwork-update-commits16
1 files changed, 16 insertions, 0 deletions
diff --git a/tools/patchwork-update-commits b/tools/patchwork-update-commits
new file mode 100755
index 0000000..245a66a
--- /dev/null
+++ b/tools/patchwork-update-commits
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+pwpath=apps/patchwork
+
+if [ "$#" -lt 1 ]
+then
+ echo "usage: $0 <revspec>" >&2
+ exit 1
+fi
+
+git rev-list --reverse "$@" |
+while read commit
+do
+ hash=$(git show "$commit" | python $pwpath/parser.py -#)
+ $pwpath/bin/pwclient -s Accepted -c "$commit" -h "$hash"
+done